#
# spec file for package python3-MarkupSafe
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-MarkupSafe
Version:        0.23
Release:        8.1
Url:            http://dev.pocoo.org/
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/M/MarkupSafe/MarkupSafe-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-2to3

%description
Implements a unicode subclass that supports HTML strings. This can be used to
safely encode strings for dynamically generated web pages.

%prep
%setup -q -n MarkupSafe-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python3_sitearch}/markupsafe
%{python3_sitearch}/MarkupSafe-%{version}-py*.egg-info

%changelog
* Tue Jul 15 2014 toddrme2178@gmail.com
- Update to 0.23
  + No upstream changelog
* Thu May  8 2014 toddrme2178@gmail.com
- Update to 0.21
  + No upstream changelog
- update to 0.19:
  + Various Python 3.x fixes
- update to 0.18:
  + Fixed interpolation on tuples
  + Varios Python 3.x fixes
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Sep  6 2012 toddrme2178@gmail.com
- Restore BuildRequires: python3  This package depends on hash
  algorithms that are only available if python3 is installed,
  python3-devel will not pull them in.  Building will fail if
  BuildRequires: python3 is removed.
* Wed May 23 2012 highwaystar.ru@gmail.com
- python3-Markupsafe package added
